Bug 812277 - [glusterfs-3.3.0qa34]: null gfid printed in the log messages
[glusterfs-3.3.0qa34]: null gfid printed in the log messages
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-13 05:29 EDT by Raghavendra Bhat
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:40:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-04-13 05:29:46 EDT
Description of problem:
Replicate is printing NULL gfids as the path for printing the files which need self-heal etc. Either it should print the gfid of the file or proper path, never null gfid.


 I [afr-common.c:1209:afr_detect_self_heal_by_lookup_status] 1-mirror-replicate-0: entries are missing in lookup of <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.068003] I [afr-common.c:1335:afr_launch_self_heal] 1-mirror-replicate-0: background  meta-data data entry missing-entry gfid self-heal triggered. path: <gfid:00000000-0000-0000-0000-000000000000>, reason: lookup detected pending operations
[2012-04-13 11:36:12.068682] W [client3_1-fops.c:1489:client3_1_inodelk_cbk] 1-mirror-client-2: remote operation failed: No such file or directory
[2012-04-13 11:36:12.069077] E [afr-self-heal-metadata.c:548:afr_sh_metadata_post_nonblocking_inodelk_cbk] 1-mirror-replicate-0: Non Blocking metadata inodelks failed for <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.069133] E [afr-self-heal-metadata.c:550:afr_sh_metadata_post_nonblocking_inodelk_cbk] 1-mirror-replicate-0: Metadata self-heal failed for <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.069748] W [client3_1-fops.c:1589:client3_1_entrylk_cbk] 1-mirror-client-2: remote operation failed: No such file or directory
[2012-04-13 11:36:12.070123] E [afr-self-heal-entry.c:2373:afr_sh_post_nonblocking_entry_cbk] 1-mirror-replicate-0: Non Blocking entrylks failed for <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.070206] E [afr-self-heal-common.c:2042:afr_self_heal_completion_cbk] 1-mirror-replicate-0: background  meta-data data entry self-heal failed on <gfid:00000000-0000-0000-0000-000000000000>
[2012-04-13 11:36:12.072122] I [afr-common.c:1209:afr_detect_self_heal_by_lookup_status] 1-mirror-replicate-0: entries are missing in lookup of <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.072200] I [afr-common.c:1335:afr_launch_self_heal] 1-mirror-replicate-0: background  meta-data data entry missing-entry gfid self-heal triggered. path: <gfid:00000000-0000-0000-0000-000000000000>, reason: lookup detected pending operations
[2012-04-13 11:36:12.072863] W [client3_1-fops.c:1489:client3_1_inodelk_cbk] 1-mirror-client-2: remote operation failed: No such file or directory
[2012-04-13 11:36:12.073677] E [afr-self-heal-metadata.c:548:afr_sh_metadata_post_nonblocking_inodelk_cbk] 1-mirror-replicate-0: Non Blocking metadata inodelks failed for <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.073743] E [afr-self-heal-metadata.c:550:afr_sh_metadata_post_nonblocking_inodelk_cbk] 1-mirror-replicate-0: Metadata self-heal failed for <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.074348] W [client3_1-fops.c:1589:client3_1_entrylk_cbk] 1-mirror-client-2: remote operation failed: No such file or directory
[2012-04-13 11:36:12.074775] E [afr-self-heal-entry.c:2373:afr_sh_post_nonblocking_entry_cbk] 1-mirror-replicate-0: Non Blocking entrylks failed for <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.074857] E [afr-self-heal-common.c:2042:afr_self_heal_completion_cbk] 1-mirror-replicate-0: background  meta-data data entry self-heal failed on <gfid:00000000-0000-0000-0000-000000000000>
[2012-04-13 11:36:12.078167] I [afr-common.c:1209:afr_detect_self_heal_by_lookup_status] 1-mirror-replicate-0: entries are missing in lookup of <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.078248] I [afr-common.c:1335:afr_launch_self_heal] 1-mirror-replicate-0: background  meta-data data entry missing-entry gfid self-heal triggered. path: <gfid:00000000-0000-0000-0000-000000000000>, reason: lookup detected pending operations
[2012-04-13 11:36:12.078970] W [client3_1-fops.c:1489:client3_1_inodelk_cbk] 1-mirror-client-2: remote operation failed: No such file or directory
[2012-04-13 11:36:12.079338] E [afr-self-heal-metadata.c:548:afr_sh_metadata_post_nonblocking_inodelk_cbk] 1-mirror-replicate-0: Non Blocking metadata inodelks failed for <gfid:00000000-0000-0000-0000-000000000000>.
[2012-04-13 11:36:12.079428] E [afr-self-heal-metadata.c:550:afr_sh_metadata_post_nonblocking_inodelk_cbk] 1-mirror-replicate-0: Metadata self-heal failed for <gfid:00000000-0000-0000-0000-000000000000>.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

null gfid is printed as the path of the file.

Expected results:

Either the proper path or the gfid of the file should be printed, not null gfid.

Additional info:


gluster volume info
 
Volume Name: mirror
Type: Replicate
Volume ID: e68ec23f-140e-46fd-9d21-e2662dc175f9
Status: Started
Number of Bricks: 1 x 3 = 3
Transport-type: tcp
Bricks:
Brick1: hyperspace:/mnt/sda7/export3
Brick2: hyperspace:/mnt/sda8/export3
Brick3: hyperspace:/mnt/sda10/export3
Comment 1 Pranith Kumar K 2012-04-14 08:07:22 EDT
Is this fuse mount or nfs process?. This is not afr bug, the loc that came in lookup has null path.
Comment 2 Raghavendra Bhat 2012-04-14 08:15:55 EDT
It was fuse client.
Comment 3 Pranith Kumar K 2012-04-15 00:09:12 EDT
What are the steps to reproduce this bug?.
Comment 4 Anand Avati 2012-05-08 16:39:05 EDT
CHANGE: http://review.gluster.com/3248 (Resolve: Assign correct path while resolving) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Raghavendra Bhat 2012-05-24 05:22:23 EDT
Checked with glusterfs-3.3.0qa42 and now gfids are printed in the log message instead of null gfid.


[2012-05-23 18:07:37.027124] E [afr-self-heald.c:287:_remove_stale_index] 0-mirror-replicate-0: 38b07f0b-0800-4f0d-9cf3-f23869156132: Failed t
o remove index on mirror-client-0 - No such file or directory
[2012-05-23 18:07:37.069390] I [afr-self-heald.c:282:_remove_stale_index] 0-mirror-replicate-0: Removing stale index for d2ede4f2-aa1b-458b-94
fc-7e699b4dd6c6 on mirror-client-0
[2012-05-23 18:07:37.078940] W [client3_1-fops.c:592:client3_1_unlink_cbk] 0-mirror-client-0: remote operation failed: No such file or directo
ry
[2012-05-23 18:07:37.079043] E [afr-self-heald.c:287:_remove_stale_index] 0-mirror-replicate-0: d2ede4f2-aa1b-458b-94fc-7e699b4dd6c6: Failed t
o remove index on mirror-client-0 - No such file or directory
[2012-05-23 18:07:37.087822] I [afr-common.c:1215:afr_detect_self_heal_by_lookup_status] 0-mirror-replicate-0: entries are missing in lookup of <gfid:9c5b837d-6320-4443-ae70-ef6a715d8d95>.
[2012-05-23 18:07:37.087867] I [afr-common.c:1341:afr_launch_self_heal] 0-mirror-replicate-0: background  meta-data data entry missing-entry gfid self-heal triggered. path: <gfid:9c5b837d-6320-4443-ae70-ef6a715d8d95>, reason: lookup detected pending operations
[2012-05-23 18:07:37.088134] W [client3_1-fops.c:1495:client3_1_inodelk_cbk] 0-mirror-client-1: remote operation failed: No such file or directory
[2012-05-23 18:07:37.088440] E [afr-self-heal-metadata.c:539:afr_sh_metadata_post_nonblocking_inodelk_cbk] 0-mirror-replicate-0: Non Blocking metadata inodelks failed for <gfid:9c5b837d-6320-4443-ae70-ef6a715d8d95>.
[2012-05-23 18:07:37.088457] E [afr-self-heal-metadata.c:541:afr_sh_metadata_post_nonblocking_inodelk_cbk] 0-mirror-replicate-0: Metadata self-heal failed for <gfid:9c5b837d-6320-4443-ae70-ef6a715d8d95>.

Note You need to log in before you can comment on or make changes to this bug.